#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 criterion
version:              1.5.9.0
visibility:           public
id:                   criterion-1.5.9.0-4gdQoeub5YdBBIgBPQ6fLY
key:                  criterion-1.5.9.0-4gdQoeub5YdBBIgBPQ6fLY
license:              BSD-3-Clause
copyright:            2009-2016 Bryan O'\''Sullivan and others
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Bryan O'\''Sullivan <bos@serpentine.com>
homepage:             http://www.serpentine.com/criterion
synopsis:             Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.

    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.

    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.

category:             Development, Performance, Testing, Benchmarking
abi:                  ad087aad777020f1f32b2ef7476e19c3
exposed:              True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types

hidden-modules:       Criterion.Monad.Internal Paths_criterion
import-dirs:          /usr/lib/ghc-8.10.4/site-local/criterion-1.5.9.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/criterion-1.5.9.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-criterion
hs-libraries:         HScriterion-1.5.9.0-4gdQoeub5YdBBIgBPQ6fLY
depends:
    Glob-0.10.1-24fNCRZbNoNE4nJZTR7omP
    aeson-1.5.6.0-9524sGJbRH4A0U97UjyMqU
    ansi-wl-pprint-0.6.9-EsPB0KWDFbl8Oax0rO5H2h base-4.14.1.0
    base-compat-batteries-0.11.2-6kbhNRxleulC7QivvEDfoa binary-0.8.8.0
    binary-orphans-1.0.1-47atAFafxAD6hbIYBnHLm7 bytestring-0.10.12.0
    cassava-0.5.2.0-SMfSQ1b1uj3kxp9GBg2uO
    code-page-0.2.1-IAY0xrIpRX4LqP27RFJNQj containers-0.6.2.1
    criterion-measurement-0.1.2.0-6pqNSKyMitB9rVff1HZo2s
    deepseq-1.4.4.0 directory-1.3.6.0 exceptions-0.10.4
    filepath-1.4.2.1 js-chart-2.9.4.1-6MEb5giUPlI9hRt53RVLKa
    microstache-1.0.1.2-Kbdh5rpXMVFGMewLiETuRK mtl-2.2.2
    mwc-random-0.15.0.1-21JoZjJG8b2I5wiG93JhVm
    optparse-applicative-0.16.1.0-6BS7yrijROrLnaIn4WCKlt
    parsec-3.1.14.0 statistics-0.15.2.0-2gKaO3HBcwlG6pGJMPB7yc
    text-1.2.4.1 time-1.9.3 transformers-0.5.6.2
    transformers-compat-0.6.6-5ZJJ9POl5DGLIWTn4Z8HjM
    vector-0.12.2.0-G3GLe01gE2VKnXMc9dfTs9
    vector-algorithms-0.8.0.4-J1Cj6bNFg98CnrMtTQlgNo

haddock-interfaces:   /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html:         /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

